type LogLevel = "debug" | "info" | "warn" | "error";
declare class Logger {
    private static instance;
    private logger;
    private isInitialized;
    private constructor();
    initialize(logLevel?: LogLevel): void;
    static getInstance(): Logger;
    debug(message: string, context?: Record<string, unknown>): void;
    info(message: string, context?: Record<string, unknown>): void;
    warn(message: string, context?: Record<string, unknown>): void;
    error(message: string, context?: Record<string, unknown>): void;
}
export declare const logger: Logger;
export {};
